window.addEventListener("load", function(evt) {
  window.addEventListener("resize", resize);
  function resize(evt) {
    let container = document.getElementById("container");

    let scaleToFitX = window.innerWidth/790;
    let scaleToFitY = window.innerHeight/560;
    let optimalRatio = Math.min(scaleToFitX, scaleToFitY);

    container.style.transformOrigin = "0 0";
    container.parentNode.style.width  = window.innerWidth  + "px";
    container.parentNode.style.height = window.innerHeight + "px";

    if (scaleToFitX < scaleToFitY) {
      container.style.left = "0";
      container.style.top = "50%";
      container.style.transform = "translate3d(0px, 0px, 0px) scale("+optimalRatio+") translate(0, -50%)";
    }
    else {
      container.style.left = "50%";
      container.style.top = "0";
      container.style.transform = "translate3d(0px, 0px, 0px) scale("+optimalRatio+") translate(-50%, 0)";
    }
  }

  resize();
});

function abrirCreditos() {
	var win = window.open("docs/creditos.html", "Créditos", "status=0,toolbar=0,location=0,scrollbars=1,menubar=0,resizable=0,height=500,width=600");
	left = (screen.availWidth - 600) / 2;
	top = (screen.availHeight - 500) / 2;
	win.moveTo(left, top);
}

function abrirInfo() {
	var win = window.open("docs/info.html", "Documentación", "status=0,toolbar=0,location=0,scrollbars=1,menubar=0,resizable=0,height=500,width=600");
	left = (screen.availWidth - 600) / 2;
	top = (screen.availHeight - 500) / 2;
	win.moveTo(left, top);
}
